#!/bin/sh
list=$(curl -s https://tildeverse.org/members.json \
  | jq -r '.members[] | [.name, .gopher, .link, .description] | @csv')

IFS='
'

col() {
  printf "%s" "$1" | csvtool col $2 - | sed 's/"//g'
}

for var in $list; do
  name=$(col $var 1)
  goph=$(col $var 2)
  link=$(col $var 3)
  desc=$(col $var 4)

  # Output format ---
  # link (name)
  # description
  if [ -z $goph ]; then
    printf "h%s\tURL:%s\n" "$name" "$link"
  else
    printf "1%s\t/\t%s\n" "$name" "$goph"
  fi

  printf "%s\n" "$desc" | fmt -w 67
  printf "\n"
done

